// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { getCss } from './toolbar_chip_button.css.js';
import { getHtml } from './toolbar_chip_button.html.js';
export class ToolbarChipButtonElement extends CrLitElement {
    static get is() {
        return 'toolbar-chip-button';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            ariaLabel: {
                type: String,
                attribute: 'aria-label',
            },
            tooltip: {
                type: String,
                attribute: 'title',
            },
            ariaHasPopup: {
                type: String,
                attribute: 'aria-haspopup',
            },
        };
    }
    #ariaLabel_accessor_storage = '';
    get ariaLabel() { return this.#ariaLabel_accessor_storage; }
    set ariaLabel(value) { this.#ariaLabel_accessor_storage = value; }
    #tooltip_accessor_storage = '';
    get tooltip() { return this.#tooltip_accessor_storage; }
    set tooltip(value) { this.#tooltip_accessor_storage = value; }
    #ariaHasPopup_accessor_storage = null;
    get ariaHasPopup() { return this.#ariaHasPopup_accessor_storage; }
    set ariaHasPopup(value) { this.#ariaHasPopup_accessor_storage = value; }
    focus() {
        this.shadowRoot?.querySelector('#button')?.focus();
    }
}
customElements.define(ToolbarChipButtonElement.is, ToolbarChipButtonElement);
